#!/bin/bash

SZD_AD_DNS="/var/packages/DNSServer/target/named/etc/samba/private/dns"
SZF_AD_SAMLDB="${SZD_AD_DNS}/sam.ldb"

main()
{
	if [[ ! -f ${SZF_AD_SAMLDB} ]]; then
		exit 1
	fi

	/bin/ldbsearch \
		-H "${SZF_AD_SAMLDB}" \
		--cross-ncs \
		'(&(objectclass=dnszone)(!(name=RootDNSServers))(!(name=..TrustAnchors)))' \
		name \
	| awk '/^name:/{print $2}'
}

main
# vim:set noexpandtab:
