#!/bin/sh

ChrootDir="/var/packages/DNSServer/target/named"
RndcKeyFile=${ChrootDir}"/rndc.key"
BinDir="/var/packages/DNSServer/target/bin"

. /var/packages/DNSServer/scripts/start-stop-status
ChangeOwner

cd ${BinDir}

# stop to let service framework to restart named
# because webapi has no root permission to restart pkg-DNSServer directly.
# I use rndc and service framework to restart named
./rndc -k ${RndcKeyFile} stop
if [ "$?" != "0" ]; then
	exit 2;
fi

# wait service framework to start named
timeup=20;
while [ "$timeup" != "0" ]; do
    timeup=`expr $timeup - 1`
    sleep 1;
    if [ "x$(pidof named)" != "x" ]; then
        exit 0;
    fi
done

exit 1;
